# Type alias Resource<N>

Resource<N>: Meta.Resource<Resources.Collections, N>

Resource type for a given collection name

#### Type Parameters

- #### N extends Resources.CollectionName = Resources.CollectionName

#### Example

    import { Resources } from "@truffle/db";

    const source: Resources.Resource<"sources"> = {
      id: "0x...",
      contents: "echo \"hello world\""
    }

- Defined in packages/db/src/resources/types.ts:246

Generated using TypeDoc